Name:		printoxx
Version:	1.6
Release:	%mkrel 1
License:	GPLv2+
Summary:	Printoxx can print one or more image files with a user-defined page layout
Group:		Graphics
URL:		http://kornelix.squarespace.com/storage/printoxx/%name-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Source0:	%name-%version.tar.gz
Patch0:		printoxx-1.6-makefile-prefix.patch
BuildRequires:	gtk2-devel gcc-c++
Requires:	gtk+2.0


%description
Printoxx is a free open source Linux program for printing one or more image
files with a user-defined page layout. Images can be added to a layout page
using the mouse to select and drop into place. Images can be moved around 
and resized using the mouse. Adding text (titles, notes) works the same way.
Any font can be used. 

%prep
%setup -q -n %name
%patch0

%build
%make

%install
rm -rf %{buildroot}
#PREFIX=%_prefix
#export PREFIX
%makeinstall_std

mkdir -p %{buildroot}/%{_iconsdir}
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;2DGraphics;RasterGraphics;GTK;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_datadir}/doc/%{name}/*
%{_iconsdir}/%{name}.png

%changelog
* Sat Oct 18 2008 Doktor5000 <rpm@mandrivauser.de> 1.6-1mud2009.0
- initial package for Mandrivalinux 2009.0